Subject: bug#54183: 28.0.91; Emacs crashes on bookmark-jump

From: Eli Zaretskii <[email-masked]>
Date: Wed, 02 Mar 2022 05:23:26 +0200

> From: Gustavo Barros <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 01 Mar 2022 15:04:38 -0300
> 
> Thread 1 "emacs" hit Breakpoint 3, x_cr_define_fringe_bitmap (which=29, bits=<optimized out>, h=17, wd=<optimized out>) at xterm.c:587
> 587	  fringe_bmp[which] = pattern;
> (gdb) #0  x_cr_define_fringe_bitmap (which=29, bits=<optimized out>, h=17, wd=<optimized out>) at xterm.c:587
> #1  0x000055b3dbecb358 in init_fringe_bitmap (which=29, fb=0x55b3deadc000, once_p=<optimized out>) at fringe.c:1497
> #2  0x000055b3dbecc3ba in Fdefine_fringe_bitmap (bitmap=XIL(0x3e409d0), bits=<optimized out>, height=<optimized out>, width=<optimized out>, align=<optimized out>) at fringe.c:1637

Thanks, I think I know what is going on.

Can you build your own Emacs?  If so, I'd like to send you a patch to
try.